summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Tietz <christian.tietz@mailbox.org>2016-05-20 13:15:38 +0200
committerPatrice Clement <monsieurp@gentoo.org>2016-05-22 14:39:15 +0000
commitb5343ed760ad9109fca3f0ea56c6387ee7e0956e (patch)
tree384970722fa1a04641c3a829b4458470e1a46c95
parentapp-vim/command-t: version bump to 4.0 (diff)
downloadgentoo-b5343ed760ad9109fca3f0ea56c6387ee7e0956e.tar.gz
gentoo-b5343ed760ad9109fca3f0ea56c6387ee7e0956e.tar.bz2
gentoo-b5343ed760ad9109fca3f0ea56c6387ee7e0956e.zip
sys-apps/bleachbit: version bump to 1.11
Package-Manager: portage-2.2.28 Closes: https://github.com/gentoo/gentoo/pull/1496 Signed-off-by: Patrice Clement <monsieurp@gentoo.org>
-rw-r--r--sys-apps/bleachbit/Manifest1
-rw-r--r--sys-apps/bleachbit/bleachbit-1.11.ebuild61
-rw-r--r--sys-apps/bleachbit/metadata.xml9
3 files changed, 71 insertions, 0 deletions
diff --git a/sys-apps/bleachbit/Manifest b/sys-apps/bleachbit/Manifest
index 1cade2bbe62..d26d19b9b03 100644
--- a/sys-apps/bleachbit/Manifest
+++ b/sys-apps/bleachbit/Manifest
@@ -1,3 +1,4 @@
+DIST bleachbit-1.11.tar.bz2 392449 SHA256 a9ed6e5ab57943248ade2c205bb79a96f1c8b52dc3055089fdda0783037406db SHA512 744134c651ee27379e9d74009be4e5b34decb723bb26b9741fb23d21bd0dfd9bcc98d96092353e0be5d59e1dd1d0df807de6fb2f27a60494295960f50e403bc2 WHIRLPOOL 36e4a43f787ed09347d1a76c07d2a9c1aa1e1e546f3fb14ebdcdb13c8a684a0e02ea9f075524c3776b8aba05a36f969f8f2d412d1489f6ec0e89647720d491f4
DIST bleachbit-1.2.tar.bz2 346530 SHA256 655b6e1ef7d5658c8e1a8e62b2c4ae0e4b1af484e47f1fb93a735892bbd2eea3 SHA512 a84881789c408335493b0923b51e66940295c430b2ea8838e420603ef8ee7548a0a1d605564070034bfe3a2d9159015e403db14470d6b33cf5260c3e4b43d267 WHIRLPOOL 262b7261188097d36584019a38ce8ef291572b85be318f39a6bb603546a39c733b9da761763b1234b8762bae4bde8dd0ee7cb8bac5abcebe3541f81025f5fff8
DIST bleachbit-1.4.tar.bz2 351729 SHA256 6ccba22b865718e4b72fdba527af71b79b01cbd63108f1cfe845eababf4bd0b3 SHA512 e460f65f1f732d20723d8f64685209959c1482ecff385ccb779baad866af0d4b7004b14351ec3f8d3179c5bd94edfdfc9a2e1413c414d61d45cbe361cb41f375 WHIRLPOOL b6b735fe62dadbb5874d3577e4e7a31b8de275e89a0bd1325a3680f91e06e4b773752226c55a4b90caaa6bf01e18e8111fa2277c4ff3d34c156922ceb96e2051
DIST bleachbit-1.9.1.tar.bz2 371882 SHA256 8d15c6d849043f44a184d85c2b79324c7441d40f348493acb9a2fc8f675b4c51 SHA512 a72f35be5f0de07fe5dc6f5fd5cea4c235249f2a7714e820e91bfabc41585e2c31bb316779760a3755579ade0cfe310101bf0c70f919b9cf1f37872ac0dfb23a WHIRLPOOL 98cfd1d4597d77b337d87ab0b52f38e7608b4acdca1e44b1c6c432c0649b660b54350271d0ac9449761d6bb0609a32093f0ada941140bbff457f8dbc25d51bf2
diff --git a/sys-apps/bleachbit/bleachbit-1.11.ebuild b/sys-apps/bleachbit/bleachbit-1.11.ebuild
new file mode 100644
index 00000000000..1f93d1437be
--- /dev/null
+++ b/sys-apps/bleachbit/bleachbit-1.11.ebuild
@@ -0,0 +1,61 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PLOCALES="ar ast be bg bn bs ca cs da de el en_AU en_CA en_GB eo es et eu fa fi fo fr gl he hi hr hu hy ia id it ja ko ku ky lt lv
+ms my nb nds nl nn pl pt_BR pt ro ru se si sk sl sr sv ta te th tr ug uk uz vi zh_CN zh_TW"
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="sqlite"
+
+inherit distutils-r1 eutils l10n
+
+DESCRIPTION="Clean junk to free disk space and to maintain privacy"
+HOMEPAGE="https://www.bleachbit.org"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="+gtk nls"
+
+RDEPEND="gtk? ( dev-python/pygtk:2[$PYTHON_USEDEP] )"
+
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )"
+
+DOCS=( README.md )
+
+python_prepare_all() {
+ rem_locale() {
+ rm "po/${1}.po" || die "removing of ${1}.po failed"
+ }
+
+ l10n_find_plocales_changes po "" ".po"
+ l10n_for_each_disabled_locale_do rem_locale
+
+ # choose correct Python implementation, bug #465254
+ sed -i -e 's/python/$(PYTHON)/g' po/Makefile || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+ use nls && emake -C po
+}
+
+python_install_all() {
+ distutils-r1_python_install_all
+ use nls && emake -C po DESTDIR="${D}" install
+
+ # https://bugs.gentoo.org/388999
+ insinto /usr/share/${PN}/cleaners
+ doins cleaners/*.xml
+
+ newbin ${PN}.py ${PN}
+ python_replicate_script "${D}/usr/bin/${PN}"
+
+ doicon ${PN}.png
+ domenu ${PN}.desktop
+}
diff --git a/sys-apps/bleachbit/metadata.xml b/sys-apps/bleachbit/metadata.xml
index bcc0fc574e3..3913726117f 100644
--- a/sys-apps/bleachbit/metadata.xml
+++ b/sys-apps/bleachbit/metadata.xml
@@ -5,6 +5,15 @@
<email>dastergon@gentoo.org</email>
<name>Pavlos Ratis</name>
</maintainer>
+ <maintainer type="person">
+ <email>christian.tietz@mailbox.org</email>
+ <name>Christian Tietz</name>
+ <description>Proxy Maintainer</description>
+ </maintainer>
+ <maintainer type="project">
+ <email>proxy-maint@gentoo.org</email>
+ <name>Proxy Maintainers</name>
+ </maintainer>
<upstream>
<remote-id type="sourceforge">bleachbit</remote-id>
<bugs-to>https://bugs.launchpad.net/bleachbit</bugs-to>